curl --request POST \
--url https://openplatform.gateapi.io/merchant/open/institution/v1/pay/merchant/product/queryOne \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"merchantProductNo": "70778357377269765"
}
'{
"success": "true",
"code": "0",
"message": "",
"data": {
"merchantProductNo": "QJDC",
"productNo": "70778357377269765",
"productName": "青桔单车",
"productDesc": "青桔单车会员",
"productLogo": "https://s3.ap-northeast-1.amazonaws.com/gimg.gateimg.com/image/1627288/fe48d444c1943d65fb0125d766a7124d277f52d7112eebe6df47e321bafda073.jpg",
"status": "ACTIVE",
"createTime": 1773988434402,
"updateTime": 1773988434402,
"priceList": [
{
"merchantPriceNo": "QJDC_1",
"priceNo": "70778357377269766",
"productNo": "70778357377269765",
"priceName": "包月",
"priceDesc": "每月一次",
"priceType": "FIX_AMOUNT",
"payChannels": [
{
"channel": "GATEPAY",
"status": "ACTIVE"
}
],
"amountType": "crypto",
"cryptoCurrency": "USDT",
"cryptoAmount": 0.01,
"fiatCurrency": "",
"fiatAmount": null,
"period": "MONTH",
"interval": 2,
"promoConfigType": "NONE",
"promoAmount": null,
"promoRate": null,
"status": "ACTIVE",
"createTime": 1773988434402,
"updateTime": 1773988434402
}
]
}
}查询产品详情
curl --request POST \
--url https://openplatform.gateapi.io/merchant/open/institution/v1/pay/merchant/product/queryOne \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"merchantProductNo": "70778357377269765"
}
'{
"success": "true",
"code": "0",
"message": "",
"data": {
"merchantProductNo": "QJDC",
"productNo": "70778357377269765",
"productName": "青桔单车",
"productDesc": "青桔单车会员",
"productLogo": "https://s3.ap-northeast-1.amazonaws.com/gimg.gateimg.com/image/1627288/fe48d444c1943d65fb0125d766a7124d277f52d7112eebe6df47e321bafda073.jpg",
"status": "ACTIVE",
"createTime": 1773988434402,
"updateTime": 1773988434402,
"priceList": [
{
"merchantPriceNo": "QJDC_1",
"priceNo": "70778357377269766",
"productNo": "70778357377269765",
"priceName": "包月",
"priceDesc": "每月一次",
"priceType": "FIX_AMOUNT",
"payChannels": [
{
"channel": "GATEPAY",
"status": "ACTIVE"
}
],
"amountType": "crypto",
"cryptoCurrency": "USDT",
"cryptoAmount": 0.01,
"fiatCurrency": "",
"fiatAmount": null,
"period": "MONTH",
"interval": 2,
"promoConfigType": "NONE",
"promoAmount": null,
"promoRate": null,
"status": "ACTIVE",
"createTime": 1773988434402,
"updateTime": 1773988434402
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gate.com/llms.txt
Use this file to discover all available pages before exploring further.
POST /merchant/open/institution/v1/pay/merchant/product/queryOne 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。
X-GatePay-On-Behalf-Of。商户客户端ID,在 GatePay 平台申请获得
"4186d0c6-6a35-55a9-8dc6-5312769dbff8"
HMAC-SHA256签名,用于验证请求合法性
"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"
时间戳(毫秒),与服务器时间差不能超过5分钟
"1672905655498"
随机数,用于防止重放攻击
"9578"
必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。
查询产品详情入参
产品编码
"MPROD_20240312_001"